/*-----------------------------------------------------------------------
1_dreams_builddata.do

Stata do file to perform data construction for
'City of dreams',
by Jorge De la Roca, Gianmarco Ottaviano and Diego Puga,
Journal of the European Economic Association
-----------------------------------------------------------------------*/

* initialise
clear
set more off
set varabbrev off

cd builddata

* construct general purpose nlsy panel
do nlsy_panel
* add cbsa codes, create junior/senior periods, controls, final sample for estimations
* only if geocode data is available or if fake location data has been generated 
if ("$NLSYDisableGeocode" != "1" | "$NLSYGenerateFakeLocations" == "1") {
	do nlsy_panel_sample
}

cd ..
